# Treasure Data

## Treasure Data Import

Please refer [this note](https://exploratory.io/note/2ac8ae888097/How-to-access-Treasure-Data-from-Exploratory-kWs8Gid5gk) for Treasure Data Import.

## Known issues (Query exceeded distributed user memory limit of xxGB)

You might see the "Query exceeded distributed user memory limit of xxGB" error when you try to import data from Treasure Data with a SQL that uses following operators.

* DISTINCT
* UNION
* ORDER BY
* GROUP BY (of many columns)
* JOINS

To workaround the issue, please refer below documents.

<https://docs.treasuredata.com/display/public/PD/How+can+I+fix+the+Exceeded+max+local+memory+xxGB+error> (English) <https://docs.treasuredata.com/pages/releaseview.action?pageId=328022> (Japanese)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.exploratory.io/data_import/database-data/treasuredata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
